[SOLVED][361.28] duplicate lines in .manifest file

Hi

i’m not sure where put this…

in the .manifest file shiped by NVIDIA-Linux-x86_64-361.28.run, have repeated lines

libGL.so.1 0000 GLX_CLIENT_SYMLINK COMPAT32 libGL.so.361.28 NON_GLVND

in the line 456 and 461

libGL.so 0000 GLX_CLIENT_SYMLINK COMPAT32 libGL.so.1 NON_GLVND

in the line 457 and 462

libGL.so.1 0000 GLX_CLIENT_SYMLINK COMPAT32 libGL.so.1.0.0 GLVND

in the line 458 and 463

libGL.so 0000 GLX_CLIENT_SYMLINK COMPAT32 libGL.so.1 GLVND

in the line 459 amd 464

libGLX_nvidia.so.0 0000 OPENGL_SYMLINK COMPAT32 libGLX_nvidia.so.361.28

in the line 466 and 470

i found this when try use this pkgbuild*, mixed between this and this

that duplication lead to fail on install the libGL.so.1/libGLX_nvidia.so and his symlink when the arrays is processed, if any user use a script for process .manifest file for install the driver without using the .run file (package maintainers, for example). @blablo and @aplattner use this method in their respective pkgbuilds

==> Starting package_nvidia-lib32-libgl-sl1-beta()...
ln -s libGL.so.361.28 /tmp/makepkg/nvidia-sl1-beta/pkg/nvidia-lib32-libgl-sl1-beta/usr/lib32/libGL.so.1
ln -s libGL.so.1 /tmp/makepkg/nvidia-sl1-beta/pkg/nvidia-lib32-libgl-sl1-beta/usr/lib32/libGL.so
ln -s libGL.so.361.28 /tmp/makepkg/nvidia-sl1-beta/pkg/nvidia-lib32-libgl-sl1-beta/usr/lib32/libGL.so.1
ln -s libGL.so.1 /tmp/makepkg/nvidia-sl1-beta/pkg/nvidia-lib32-libgl-sl1-beta/usr/lib32/libGL.so
ln: failed to create symbolic link '/tmp/makepkg/nvidia-sl1-beta/pkg/nvidia-lib32-libgl-sl1-beta/usr/lib32/libGLX_nvidia.so.0': File exists

the workground is use ‘ln -sf’ instead of ‘ln -s’

greetings

Why not create one pkgbuild for the entire Linux? :)

because is hard to maintain XD

Thanks for reporting this. I filed internal bug 1729451.

I assume that this explain why I had ‘Cannot create symlink /usr/lib/i386-linux-gnu/libGL.so.1 (File exists)’ when I included 32-bit compatibility libs? Although I attempted to install from .run and not from a package.

Edit: just attached the install log if someone is interested.
nvidia-installer.log (25.4 KB)

more test

the lines described before, the lines should be remove is 456, 457, 463 and 464

Im using Fedora25. Kernel-devel, kernel-headers, dkms and acpid were setup but driver was not setup and error this;